package org.jbjf.cipher.plugins;

import org.jbjf.plugin.IAbstractJBJFPluginCipher;
import org.jbjf.util.APILog4j;
import org.jbjf.xml.JBJFPluginDefinition;

/**
 * The <code>MyCipherPlugin</code> class provides ...
 * <p>
 * <h3>Dependencies:</h3>
 * <ul>
 * <li>JBJF 1.3.0(+)
 * </ul>
 * <p>
 * @author  Adym S. Lincoln<br>
 * Copyright (C) 2006-2010. Adym S. Lincoln All rights reserved.
 * @version 1.0.0
 * @since   1.0.0
 */

public class MyCipherPlugin extends IAbstractJBJFPluginCipher {
    /** 
     * Stores a fully qualified class name.  Used for debugging and 
     * auditing.
     * @since 1.0.0
     */
    public static final String ID = MyCipherPlugin.class.getName();

    /** 
     * Stores the class name, primarily used for debugging and so 
     * forth.  Used for debugging and auditing.
     * @since 1.0.0
     */
    private String SHORT_NAME = "MyCipherPlugin()";

    /** 
     * Stores a <code>SYSTEM IDENTITY HASHCODE</code>.  Used for
     * debugging and auditing.
     * @since 1.0.0
     */
    private String SYSTEM_IDENTITY = String.valueOf( System.identityHashCode( this ) );

    /**
     * 
     */
    public MyCipherPlugin() {
        // TODO Auto-generated constructor stub
    }

    /* (non-Javadoc)
     * @see org.jbjf.plugin.IAbstractJBJFPluginCipher#decryptString(java.lang.String)
     */
    @Override
    public String decryptString( String cipherText ) {
        getLog().debug( "MyCipherPlugin.decryptString(" + cipherText + "]" );
        return cipherText;
    }

    /* (non-Javadoc)
     * @see org.jbjf.plugin.IAbstractJBJFPluginCipher#encryptString(java.lang.String)
     */
    @Override
    public String encryptString( String clearText ) {
        getLog().debug( "MyCipherPlugin.encryptString(" + clearText + "]" );
        return clearText;
    }

    /* (non-Javadoc)
     * @see org.jbjf.plugin.IAbstractJBJFPlugin#initPlugin(org.jbjf.xml.JBJFPluginDefinition, org.jbjf.util.APILog4j)
     */
    @Override
    public void initPlugin ( 
         JBJFPluginDefinition jobPlugin
        ,APILog4j logFile 
    ) throws Exception {
        setPluginId ( jobPlugin.getPluginId() );
        setPluginName ( jobPlugin.getPluginName() ); 
        setPluginType ( jobPlugin.getPluginType() );
        setPluginActive ( jobPlugin.isPluginActive() );
        setLog ( logFile );
    }
}

